lambda   = 1.653;       % x-ray wavelength (corresponds to 7.5 keV)
delta_ps = 3.98103342989879e-006;   % dispersion of ps
beta_ps  = 6.36294333525295e-009;   % absorption of ps
delta_si = 8.76481529929936e-006;   % dispersion of si
beta_si  = 2.27683159012026e-007;   % absorption of si
h = 500;                            % ps film thickness
sigma_ps = 5;                       % roughness of ps/air
sigma_si = 3;                       % roughness of ps/si  
nslice   = 1000;        % number to slice the film

% construct raw electron density profile (EDP) (refer to help of edprofile.m)
rawedp   = [0       0           0           sigma_ps   1;
            h       delta_ps    beta_ps     sigma_si   1;
            10000   delta_si    beta_si     1000000    0];
        
% generate fine EDP
edp = edprofile(rawedp,nslice);

% generate elecric field E (not E^2)in the film
alpha = linspace(0,0.4,200);        % incident angle (degree)
EF = efield(alpha,edp,lambda);

% plot field INTENSITY
figure
imagesc(alpha,edp(:,1),abs(EF).^2);
set(gca,'YDir','normal');
xlabel('Angle (deg.)');
ylabel('Depth (A)');
title('Electric Field Intensity (EFI)');


